%global _name Jinja2

Name:           python-jinja2
Version:        3.0.3
Release:        4
Summary:        A full-featured template engine for Python
License:        BSD
URL:            http://jinja.pocoo.org/
Source0:        https://files.pythonhosted.org/packages/source/J/Jinja2/Jinja2-%{version}.tar.gz

Patch6000:      backport-CVE-2024-22195.patch
Patch6001:      backport-CVE-2024-34064.patch

BuildArch:      noarch

%description
Jinja2 is one of the most used template engines for Python. It is inspired by Django's
templating system but extends it with an expressive language that gives template authors
a more powerful set of tools. On top of that it adds sandboxed execution and optional
automatic escaping for applications where security is important.

%package -n python3-jinja2
Summary:        General purpose template engine for python3

BuildRequires:  python3-markupsafe python3-babel
BuildRequires:  python3-pytest python3-devel python3-setuptools
Requires:       python3-babel python3-markupsafe python3-setuptools
%{?python_provide:%python_provide python3-jinja2}

%description -n python3-jinja2
This package is the python3 version of python-jinja2.

%package_help

%prep
%autosetup -c -n Jinja2-%{version} -p1

# fix EOL
sed -i 's|\r$||g' Jinja2-%{version}/LICENSE.rst

cp -a Jinja2-%{version} python3

%build
pushd python3
%py3_build
popd

%install
pushd python3
%py3_install
popd

%check
pushd python3
PYTHONPATH=$(pwd)/src %{__python3} -m pytest tests
popd

%files -n python3-jinja2
%license Jinja2-%{version}/LICENSE.rst
%{python3_sitelib}/jinja2
%{python3_sitelib}/Jinja2*-info

%files help
%doc Jinja2-%{version}/CHANGES.rst Jinja2-%{version}/PKG-INFO
%doc Jinja2-%{version}/examples

%changelog
* Fri May 10 2024 weihaohao <weihaohao2@huawei.com> - 3.0.3-4
- Type:CVE
- CVE:CVE-2024-34064
- SUG:NA
- DESC:fix CVE-2024-34064

* Mon Jan 22 2024 weihaohao <weihaohao2@huawei.com> - 3.0.3-3
- Type:CVE
- CVE:CVE-2024-22195
- SUG:NA
- DESC:fix CVE-2024-22195

* Thu Jun 30 2022 wangjiang <wangjiang37@h-partners.com> - 3.0.3-2
- enable check test suite

* Sun Dec 25 2021 tianwei <tianwei12@huawei.com> - 3.0.3
- Upgrade version to 3.0.3

* Mon Jul 12 2021 huangtianhua <huangtianhua@huawei.com> - 2.11.3
- Upgrade to 2.11.3 to support OpenStack-W

* Fri Apr 23 2021 shangyibin <shangyibin1@huawei.com> - 2.11.2-3
- Type:bugfix
- ID:CVE-2020-28493
- SUG:NA
- DESC:fix cve-2020-28493

* Thu Oct 29 2020 tianwei <tianwei12@huawei.com> - 2.11.2-2
- Type:NA
- ID:NA
- SUG:NA
- DESC:delete python2 require

* Thu Jul 23 2020 dingyue <dingyue5@huawei.com> - 2.11.2-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise description

* Sat Sep 21 2019 shenyangyang <shenyangyang4@huawei.com> - 2.10-10
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise description

* Mon Sep 15 2019 shenyangyang <shenyangyang4@huawei.com> - 2.10-9
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:strenthen spec

* Fri Aug 16 2019 Enbo Kang <kangenbo@huawei.com> - 2.10-8
- Type:security
- ID:CVE-2019-10906
- SUG:NA
- DESC:fix CVE-2019-10906 python-jinja2:str.format_map allows sandbox

* Mon Aug 12 2019 alex chen <alex.chen@huawei.com> - 2.10-7
- Enable python2 build by default

* Wed Jul 18 2018 openEuler Buildteam <buildteam@openeuler.org> - 2.10-6
- Package init
